libgii-1.0.2-32-omv2015.0.x86_64.rpm


Advertisement

Description

libgii - A flexible library for input handling

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Main Release x86_64
Package name libgii
Package version 1.0.2
Package release 32-omv2015.0
Package architecture x86_64
Package type rpm
Installed size 591.03 KB
Download size 147.79 KB
Official Mirror abf-downloads.openmandriva.org
LibGII is an input library developed by the GGI Project
(http://www.ggi-project.org). Its design philosophy is similar to
LibGGI, which deals with graphics output.
LibGII is based on the concept of input streams, which virtualize
access to the underlying input drivers. Events from various input
devices are abstracted into easy-to-use structures. LibGII also allows
the application to join streams together, receiving input from an
arbitrary combination of devices.
LibGII is a separate component from LibGGI, although LibGGI depends on
LibGII for input purposes. (LibGGI's input functions are simply
wrappers for LibGII functions.)

Alternatives

Package Version Architecture Repository
libgii-1.0.2-32-omv2015.0.i586.rpm 1.0.2 i586 OpenMandriva Main Release
libgii - - -

Requires

Name Value
libX11.so.6()(64bit) -
libXxf86dga.so.1()(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libgg.so.1()(64bit) -
libgii.so.1()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -

Provides

Name Value
config(libgii) == 0:1.0.2-32:2015.0
file.so()(64bit) -
keytrans.so()(64bit) -
libgii == 1.0.2-32:2015.0
linux_evdev.so()(64bit) -
linux_joy.so()(64bit) -
linux_kbd.so()(64bit) -
linux_mouse.so()(64bit) -
lk201.so()(64bit) -
mouse.so()(64bit) -
null.so()(64bit) -
save.so()(64bit) -
spaceorb.so()(64bit) -
stdin.so()(64bit) -
tcp.so()(64bit) -
x.so()(64bit) -

Download

Type URL
Binary Package libgii-1.0.2-32-omv2015.0.x86_64.rpm
Source Package libgii-1.0.2-32.src.rpm

Install Howto

  1. Enable OpenMandriva Main Release repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libgii rpm package:
    # urpmi libgii

Files

Path
/etc/ggi/libgii.conf
/etc/ggi/filter/keytrans
/etc/ggi/filter/mouse
/usr/bin/mhub
/usr/bin/xsendbut
/usr/lib64/ggi/filter/keytrans.so
/usr/lib64/ggi/filter/mouse.so
/usr/lib64/ggi/filter/save.so
/usr/lib64/ggi/filter/tcp.so
/usr/lib64/ggi/input/file.so
/usr/lib64/ggi/input/linux_evdev.so
/usr/lib64/ggi/input/linux_joy.so
/usr/lib64/ggi/input/linux_kbd.so
/usr/lib64/ggi/input/linux_mouse.so
/usr/lib64/ggi/input/lk201.so
/usr/lib64/ggi/input/mouse.so
/usr/lib64/ggi/input/null.so
/usr/lib64/ggi/input/spaceorb.so
/usr/lib64/ggi/input/stdin.so
/usr/lib64/ggi/input/tcp.so
/usr/lib64/ggi/input/x.so
/usr/share/doc/libgii/ChangeLog
/usr/share/doc/libgii/ChangeLog.1999
/usr/share/doc/libgii/FAQ
/usr/share/doc/libgii/INSTALL
/usr/share/doc/libgii/INSTALL.autoconf
/usr/share/doc/libgii/NEWS
/usr/share/doc/libgii/README
/usr/share/doc/libgii/README.directx
/usr/share/man/man1/mhub.1.xz
/usr/share/man/man1/xsendbut.1.xz
/usr/share/man/man7/filter-key.7.xz
/usr/share/man/man7/filter-keytrans.7.xz
/usr/share/man/man7/filter-mouse.7.xz
/usr/share/man/man7/filter-save.7.xz
/usr/share/man/man7/filter-tcp.7.xz
/usr/share/man/man7/input-directx.7.xz
/usr/share/man/man7/input-file.7.xz
/usr/share/man/man7/input-linux-evdev.7.xz
/usr/share/man/man7/input-linux-kbd.7.xz
/usr/share/man/man7/input-linux-mouse.7.xz
/usr/share/man/man7/input-lk201.7.xz
/usr/share/man/man7/input-mouse.7.xz
/usr/share/man/man7/input-quartz.7.xz
/usr/share/man/man7/input-tcp.7.xz
/usr/share/man/man7/input-x.7.xz
/usr/share/man/man7/libgg.7.xz
/usr/share/man/man7/libgii.7.xz

Changelog

2015-12-14 - Crispin Boylan <crisb@mandriva.org> 1.0.2-32
- (b4ae926) Disable lto
- (Tomasz Pawe? Gajc: 1f62c05) MassBuild#817: Increase release tag
2015-07-19 - Bernhard Rosenkraenzer <bero@bero.eu> 1.0.2-31
- (47db8b0) MassBuild#774: Increase release tag
2014-12-07 - Bernhard Rosenkraenzer <bero@bero.eu> 1.0.2-30
- (9adb4cd) MassBuild#609: Increase release tag
2014-07-11 - Bernhard Rosenkraenzer <bero@bero.eu> 1.0.2-29
- (005c6bd) MassBuild#451: Increase release tag
2014-06-13 - Bernhard Rosenkraenzer <bero@bero.eu> 1.0.2-28
- (bbc77d1) MassBuild#436: Increase release tag
2013-12-07 - Bernhard Rosenkraenzer <bero@bero.eu> 1.0.2-27
- (8aa1a99) MassBuild#289: Increase release tag
2013-12-07 - Bernhard Rosenkraenzer <bero@bero.eu> 1.0.2-26
- (3b3fca9) MassBuild#289: Increase release tag
2013-12-07 - Bernhard Rosenkraenzer <bero@bero.eu> 1.0.2-25
- (0e16195) MassBuild#289: Increase release tag
2013-12-07 - Bernhard Rosenkraenzer <bero@bero.eu> 1.0.2-24
- (deb7d83) MassBuild#289: Increase release tag
2013-10-16 - Tomasz Pawe? Gajc <phenomenal@wp.pl> 1.0.2-23
- (2b8c48c) MassBuild#232: Increase release tag

See Also

Package Description
libglademm2.4-doc-2.6.7-23-omv2015.0.x86_64.rpm Documentation for libglademm library
libgnat1-5.3.1_2016.03-2-omv2015.0.x86_64.rpm GNU Ada 95 runtime libraries
libgnat1-5.4.1_2016.06-2-omv2015.0.x86_64.rpm GNU Ada 95 runtime libraries
libgnome-keyring-i18n-3.8.0-12-omv2015.0.x86_64.rpm Localization data files for libgnome-keyring
libgnomecanvas-2.30.3-18-omv2015.0.x86_64.rpm GnomeCanvas widget
libgnomecanvasmm2.6-doc-2.26.0-16-omv2015.0.x86_64.rpm Documentation of libgnomecanvasmm library
libgnomecups-0.2.3-19-omv2015.0.x86_64.rpm GNOME library for CUPS integration
libgnomekbd-common-3.6.0-10-omv2015.0.x86_64.rpm Files used by GNOME keyboard libraries
libgo7-5.3.1_2016.03-2-omv2015.0.x86_64.rpm Go runtime libraries
libgo7-5.4.1_2016.06-2-omv2015.0.x86_64.rpm Go runtime libraries
libgomp1-5.3.1_2016.03-2-omv2015.0.x86_64.rpm GCC OpenMP v3.0 shared support library
libgomp1-5.4.1_2016.06-2-omv2015.0.x86_64.rpm GCC OpenMP v3.0 shared support library
libgoogle-data-mono-1.8.0.0-11-omv2015.0.noarch.rpm .NET library for the Google Data API
libgoogle-data-mono-devel-1.8.0.0-11-omv2015.0.noarch.rpm .NET library for the Google Data API
libgpg-error-common-1.20-1.1-omv2015.0.noarch.rpm Common files for libgpg-error
Advertisement
Advertisement